//This file is "filenames.h"
//By Teck Leong Tan

#ifndef _FILE_NAMES_INOUT_H
#define _FILE_NAMES_INOUT_H
#include <string>

    //File names:
    //Input files:
    //static char* inconf0 = "inconfig0.lat";//Input file for configuration
    static const char* inputfile = "input.txt";//Parameters of MC run
    static const char* inneighborfile = "inneighbor.txt";//Info. on neighbors
    static const char* inclusfile = "inclus.txt";//Info. on clusters
    static const char* inpotfile= "in_pot.txt";//Input file of potentials 
    static const string indirsfile="directories.txt";//List of directories where structural info are stored
    static const string structfile="/structure.txt";//Filename of structure file
      
    //Output files:
    static const char* outputfile = "output.txt";//Values of energy, Cv, conc..
    static const char* outputfileh = "outputh.txt";//Values of energy, Cv, conc..(heating run)
    static const char* outputfile2 = "output2.txt";//Values of T v.s U4
    static const char* outputfile3 = "output3.txt";//Values of e v.s pass for each T and mu
    static const char* outconfigT = "outconfigT.txt";//Configuration at each T
    static const char* outconf0 = "outconfig0.lat";//Final configuration
    static const char* start_conf= "start_conf.lat";//Initial configuration
    static const char* outparam = "outparam.txt";//Parameters of MC run
    static const char* outneighborfile = "outneighbor.txt";//Info. on neighbors
    static const char* outclusfile = "outclus.txt";//Info. on clusters
    static const char* cor_neighborfile="outcor.txt";//Info on correlation neighbors
    static const char* outcor_pairfile="outcor_pair.txt";//Output of correlation terms
    static const char* outcor_LROfile="outcor_LRO.txt";//Output of LRO terms (table format)
    static const char* outcor_LROcfile="outcor_LROc.txt";//Output of LRO terms (config format)
#endif
//EOF//
