//This file is "print_output2.cc".
//Definition of a memeber function of class Lattice.
//By Teck Leong Tan

#include "lattice.h"

//This memeber function prints to output.out the relevant data

void Lattice::print_output2(fstream& output, double T)
{
  output<<setiosflags(ios::scientific)<<setprecision(2)<<T<<" ";
  
  //cal_conc();//Calculates the concentration of species
  for (int i=1;i<=num_type;i++)
  {
      //output<<setprecision(4)<<conc[i]<<" ";//to be removed
    output<<setprecision(4)<<(1-C_struct.M4avg[i]/(3*C_struct.M2avg[i]*C_struct.M2avg[i]))<<" ";
  }
  for (int i=0;i<num_type;i++)
  {
    output<<setprecision(2)<<clustree.sublat[0].nbody[1].nclus[0]->Vin[i]<<" ";
  }
  output<<endl; 
}

//EOF
